Subject: bug#22302: 25.1.50; time-stamp ignores time-stamp-time-zone

From: Paul Eggert <[email-masked]>
Date: Tue, 12 Jan 2016 12:19:10 -0800

On 01/12/2016 09:47 AM, Glenn Morris wrote:
> Please make it so that perfectly reasonable user-input can't crash Emacs.

Sorry, I take it back, in rereading the spec POSIX says merely that the 
behavior is unspecified when TZ="UTC", which I understand to mean that 
localtime_r should not crash so we don't need to worry about that in 
Emacs. However, the user might not get Universal Time, so "UTC0" is 
still safer.

This is not an issue for operating systems like GNU/Linux, FreeBSD, OS 
X, and Solaris, where "UTC" means the same thing as "UTC0", because 
there's a file with a name like /usr/share/zoneinfo/UTC that does the 
right thing. I don't know what MS-Windows does with TZ="UTC" but I 
expect it works OK there too, otherwise we would have gotten bug reports 
before now (as this issue would come up even in older Emacs versions). I 
am mostly worried about obscure operating systems like HP-UX that do not 
use the tz database and which are not much tested by GNU Emacs developers.